SbVec3i32 Class Reference

`#include <Inventor/SbVec3i32.h>`

## Public Member Functions

| SbVec3i32 (const int32_t v[3])
| SbVec3i32 (int32_t x, int32_t y, int32_t z)
| SbVec3i32 (const SbVec3ui32 &v)
| SbVec3i32 (const SbVec3b &v)
| SbVec3i32 (const SbVec3s &v)
| SbVec3i32 (const SbVec3f &v)
| SbVec3i32 (const SbVec3d &v)
SbVec3i32 & | setValue (const int32_t v[3])
SbVec3i32 & | setValue (int32_t x, int32_t y, int32_t z)
SbVec3i32 & | setValue (const SbVec3ui32 &v)
SbVec3i32 & | setValue (const SbVec3b &v)
SbVec3i32 & | setValue (const SbVec3s &v)
SbVec3i32 & | setValue (const SbVec3f &v)
SbVec3i32 & | setValue (const SbVec3d &v)
const int32_t * | getValue (void) const
void | getValue (int32_t &x, int32_t &y, int32_t &z) const
int32_t & | operator[] (int i)
const int32_t & | operator[] (int i) const
int32_t | dot (const SbVec3i32 &v) const
void | negate (void)
SbVec3i32 & | operator*= (int d)
SbVec3i32 & | operator*= (double d)
SbVec3i32 & | operator/= (int d)
SbVec3i32 & | operator/= (double d)
SbVec3i32 & | operator+= (const SbVec3i32 &v)
SbVec3i32 & | operator-= (const SbVec3i32 &v)
SbVec3i32 | operator- (void) const

## Protected Attributes

int32_t | vec [3]

## Detailed Description

Since
  Coin 2.5

The documentation for this class was generated from the following files:

- SbVec3i32.h
- SbVec3i32.cpp